# ANSTrainingEngine — Training Engine DLL
file(GLOB ANSTRE_HEADERS "*.h")
file(GLOB ANSTRE_SOURCES "*.cpp")

add_library(ANSTrainingEngine SHARED ${ANSTRE_HEADERS} ${ANSTRE_SOURCES})

target_include_directories(ANSTrainingEngine PUBLIC
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSTrainingEngine
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
    PRIVATE labview
    PRIVATE boost
)

target_compile_definitions(ANSTrainingEngine PRIVATE UNICODE _UNICODE
    ANSODTRAININGENGINE_EXPORTS
    _USRDLL
)

target_precompile_headers(ANSTrainingEngine PRIVATE pch.h)
